<%@ page contentType="text/html; charset=utf-8" %>

<HTML>

<HEAD>
<LINK rel="stylesheet" type="text/css" href="sd-sp.css">
<LINK rel="stylesheet" type="text/css" href="sd-sp-menu.css">

<%@ include file="client-funcs.js" %>

<SCRIPT language="JavaScript" >

  function do_logout() {

    replace_header1("emptyHeader.html");
    replace_header2("emptyHeader.html");
    replace_message("emptyHeader.html");
    replace_controls_results("ControlSet.jsp", "Logout.jsp")
  }

</SCRIPT>
</HEAD>

<%@ page import="com.hp.itsm.ssp.beans.SdClientBean" %>

<BODY>


<% 
  SdClientBean bean = (SdClientBean) session.getAttribute("sd-client-bean");

  response.setHeader("Cache-Control","no-cache");
  if (bean == null) {
%>
    <jsp:forward page="NoSessionError.jsp" />

<%
  }
%>

  <DIV class="headline"> <P> <%= bean.findLabel("SP_menu") %> </P> </DIV>
  <P>

<%
  if (bean.is_specialist()) {
%>
    <A href="MainMenu.jsp?grp=servcall" target="controls">&nbsp;<%= bean.findLabel("SP_Sc") %>&nbsp;&raquo;</A>  <BR>

    <% if ("servcall".equals(request.getParameter("grp"))) { %>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('CreateServiceCall.jsp', 2)" ><%= bean.findLabel("SP_newSc") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListServiceCalls.jsp?type=full', 2)" ><%= bean.findLabel("SP_ListScFullList") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListServiceCalls.jsp?type=restricted', 2)" ><%= bean.findLabel("SP_ListScRestrictedList") %></A>
      <BR> <BR>
    <% } %>

    <A href="MainMenu.jsp?grp=incident" target="controls">&nbsp;<%= bean.findLabel("SP_Incident") %>&nbsp;&raquo;</A>  <BR>

    <% if ("incident".equals(request.getParameter("grp"))) { %>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('CreateIncident.jsp', 2)" ><%= bean.findLabel("SP_NewIncident") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListIncidents.jsp?type=full', 2)" ><%= bean.findLabel("SP_ListIncidentFullList") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListIncidents.jsp?type=restricted', 2)" ><%= bean.findLabel("SP_ListIncidentRestrictedList") %></A>
      <BR> <BR>
    <% } %>

    <A href="MainMenu.jsp?grp=problem" target="controls">&nbsp;<%= bean.findLabel("SP_Problem") %>&nbsp;&raquo;</A>  <BR>

    <% if ("problem".equals(request.getParameter("grp"))) { %>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListProblems.jsp?type=full', 2)" ><%= bean.findLabel("SP_ListProblemFullList") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListProblems.jsp?type=restricted', 2)" ><%= bean.findLabel("SP_ListProblemRestrictedList") %></A>
      <BR> <BR>
    <% } %>

    <A href="MainMenu.jsp?grp=change" target="controls">&nbsp;<%= bean.findLabel("SP_Change") %>&nbsp;&raquo;</A> <BR>

    <% if ("change".equals(request.getParameter("grp"))) { %>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListChanges.jsp?type=full', 2)" ><%= bean.findLabel("SP_ListChangeFullList") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListChanges.jsp?type=restricted', 2)" ><%= bean.findLabel("SP_ListChangeRestrictedList") %></A>
      <BR> <BR>
    <% } %>

    <A href="MainMenu.jsp?grp=workorder" target="controls">&nbsp;<%= bean.findLabel("SP_Wo") %>&nbsp;&raquo;</A> <BR>

    <% if ("workorder".equals(request.getParameter("grp"))) { %>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListWorkorders.jsp?type=full', 2)" ><%= bean.findLabel("SP_ListWoFullList") %></A>
      <BR> &nbsp;&middot; <A href="javascript:replace_results_with_shutup_time('ListWorkorders.jsp?type=restricted', 2)" ><%= bean.findLabel("SP_ListWoRestrictedList") %></A>
      <BR> <BR>
    <% } %> <BR>

    <A href="javascript:replace_results_with_shutup_time('FAQ.jsp', 2)" >&nbsp;<%= bean.findLabel("SP_FAQ") %></A>    <BR>  <BR>

    <A href="javascript:replace_results('ChPasswd.jsp')" >&nbsp;<%= bean.findLabel("SP_ChPasswd") %></A> <BR>

    <A href="javascript:do_logout()" >&nbsp;<%= bean.findLabel("SP_Logout") %></A>     <BR>
<%
  } else {
%>
    <A href="javascript:replace_results_with_shutup_time('CreateServiceCall.jsp', 2)" >&nbsp;<%= bean.findLabel("SP_newSc") %></A> <BR> <BR>
    <A href="javascript:replace_results_with_shutup_time('ListServiceCalls.jsp?type=full', 2)" >&nbsp;<%= bean.findLabel("SP_ListScFullList") %></A> <BR> <BR>
    <A href="javascript:replace_results_with_shutup_time('ListServiceCalls.jsp?type=restricted', 2)" >&nbsp;<%= bean.findLabel("SP_ListScRestrictedList") %></A> <BR> <BR>
    <A href="javascript:replace_results_with_shutup_time('FAQ.jsp', 2)" >&nbsp;<%= bean.findLabel("SP_FAQ") %></A> <BR> <BR>
<%
	if (!"yes".equals(session.getAttribute("domain"))) {
%>
    <A href="javascript:replace_results('ChPasswd.jsp')" >&nbsp;<%= bean.findLabel("SP_ChPasswd") %></A> <BR> <BR>
    <A href="javascript:replace_controls_results('ControlSet.jsp', 'Logout.jsp')" >&nbsp;<%= bean.findLabel("SP_Logout") %></A> <BR>
<%
	}
%>
<%
  }
%>

</BODY>
</HTML>
